# ListRecalls

PATH: /aurora.core.apiengine.contractsv1.ContractService/ListRecalls

Endpoint: POST /aurora.core.apiengine.contractsv1.ContractService/ListRecalls
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `contract_id` (string)
    Contract identifier (persistent identifier inside Aurora system) - optional

  - `id` (string)
    Recall id (persistent recall identifier inside Aurora system) - optional

  - `instrument` (string)
    Instrument (CUSIP or Ticker) - optional

  - `request_id` (string)
    An optional identifier provided by the user to help associate the order request any internal record keeping.
If the same value is observed recently then the request will be rejected.

## Response 200 fields (application/json):

  - `recalls` (array)
    Details of the recall(s)

  - `recalls.allowed_execution_date` (string)
    allowed buy-in execution date

  - `recalls.contract_id` (string, required)
    Contract identifier (persistent identifier inside Aurora system)

  - `recalls.id` (string, required)
    Recall identifier (persistent identifier inside Aurora system)

  - `recalls.initiator_company_id` (string, required)
    Company ID that initiated this recall (always the lender)

  - `recalls.quantity` (string, required)
    Number of shares recalled

  - `recalls.recall_status` (string, required)
    ContractRecallStatus : the state a Recall is in now
    Enum: "NEW", "OPEN", "PARTIALLY_RETURNED", "FULLY_RETURNED", "PENDING_CANCEL", "CANCELED", "REJECTED", "PENDING_AMEND"

  - `total_count` (string, required)
    Total number of recalls


